org.apache.solr.client.solrj.impl

## Class LBHttpSolrServer

- java.lang.Object
- - org.apache.solr.client.solrj.SolrClient
  - - org.apache.solr.client.solrj.impl.LBHttpSolrClient
    - - org.apache.solr.client.solrj.impl.LBHttpSolrServer

All Implemented Interfaces:
  Closeable, Serializable, AutoCloseable

Deprecated.
Use `LBHttpSolrClient`

    @Deprecated
    public class LBHttpSolrServer
    extends LBHttpSolrClient

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.impl.LBHttpSolrClient

`LBHttpSolrClient.Req, LBHttpSolrClient.Rsp, LBHttpSolrClient.ServerWrapper`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.impl.LBHttpSolrClient

`zombieServers`

### Constructor Summary

Constructors
Constructor and Description
`LBHttpSolrServer(org.apache.http.client.HttpClient httpClient, ResponseParser parser, String... solrServerUrl)` Deprecated.
`LBHttpSolrServer(org.apache.http.client.HttpClient httpClient, String... solrServerUrl)` Deprecated.
`LBHttpSolrServer(String... solrServerUrls)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.impl.LBHttpSolrClient

`addQueryParams, addSolrServer, addZombie, close, doRequest, finalize, getHttpClient, getParser, getQueryParams, getRequestWriter, makeSolrClient, normalize, removeSolrServer, request, request, setAliveCheckInterval, setConnectionTimeout, setParser, setQueryParams, setRequestWriter, setSoTimeout, shutdown`

### Methods inherited from class org.apache.solr.client.solrj.SolrClient

`add, add, add, add, add, add, add, add, add, add, addBean, addBean, addBean, addBean, addBeans, addBeans, addBeans, addBeans, addBeans, addBeans, commit, commit, commit, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, deleteByQuery, deleteByQuery, getBinder, getById, getById, getById, getById, getById, getById, getById, getById, optimize, optimize, optimize, optimize, optimize, optimize, ping, query, query, query, query, queryAndStreamResponse, queryAndStreamResponse, request, rollback, rollback`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LBHttpSolrServer

    public LBHttpSolrServer(String... solrServerUrls)
                     throws MalformedURLException

Deprecated.

Throws:
  `MalformedURLException`

#### LBHttpSolrServer

    public LBHttpSolrServer(org.apache.http.client.HttpClient httpClient,
                    String... solrServerUrl)

Deprecated.

#### LBHttpSolrServer

    public LBHttpSolrServer(org.apache.http.client.HttpClient httpClient,
                    ResponseParser parser,
                    String... solrServerUrl)

Deprecated.